aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>1999-02-26 03:02:43 +0000
committerBill Nottingham <notting@redhat.com>1999-02-26 03:02:43 +0000
commit19612dcc42960c756343d529b38794bdc7c4881a (patch)
treeab2a2040bfb2321320eccde6cfe6b993b44d528f
parentf136458d3b258b7e8dcc3b593ee216aaa71ac09f (diff)
downloadinitscripts-19612dcc42960c756343d529b38794bdc7c4881a.tar
initscripts-19612dcc42960c756343d529b38794bdc7c4881a.tar.gz
initscripts-19612dcc42960c756343d529b38794bdc7c4881a.tar.bz2
initscripts-19612dcc42960c756343d529b38794bdc7c4881a.tar.xz
initscripts-19612dcc42960c756343d529b38794bdc7c4881a.zip
fix killproc
-rwxr-xr-xrc.d/init.d/functions7
1 files changed, 5 insertions, 2 deletions
diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
index ab3e22df..daba8c5b 100755
--- a/rc.d/init.d/functions
+++ b/rc.d/init.d/functions
@@ -100,9 +100,12 @@ killproc() {
kill -TERM $pid && success "$base shutdown" || failure "$base shutdown"
usleep 100000
if ps h $pid >/dev/null 2>&1 ; then
- sleep 3
+ sleep 1
if ps h $pid >/dev/null 2>&1 ; then
- kill -KILL $pid && success "$base shutdown" || failure "$base shutdown"
+ sleep 3
+ if ps h $pid >/dev/null 2>&1 ; then
+ kill -KILL $pid && success "$base shutdown" || failure "$base shutdown"
+ fi
fi
fi
fi